# BioFormatsImageInfo
Metadata extraction tool based on Bio-Formats

### make package
```shell
mvn package
```

### run
```shell
./target/dist/bin/bioformats-imageinfo "[path to image file]"
```

### run by jar
```shell
java -jar ./target/dist/lib/bioformats-imageinfo-1.1.0.jar "[path to image file]"
```

### run by fat jar
```shell
java -jar ./target/bioformats-imageinfo-1.1.0-jar-with-dependencies.jar "[path to image file]"
```

### library usage
```java
import java.util.LinkedHashMap;
import java.util.Map;
import jp.riken.neurodata.tools.BioFormatsImageInfo;
import jp.riken.neurodata.tools.BioFormatsException;

String path = "[path to image file]";
String format = "";
Map<String, Object> metadata = new LinkedHashMap<String, Object>();

try {
  format = BioFormatsImageInfo.readMetadata(path, metadata);
} catch (BioFormatsImageException e) {
  // error occurred
  e.printStackTrace();
}
```
